com.sun.jna.platform.win32

## Interface Cryptui

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface Cryptui
      extends StdCallLibrary

  Cryptui.dll Interface.
  Author:
    roshan[dot]muralidharan[at]cerner[dot]com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Cryptui` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinCrypt.CERT_CONTEXT.ByReference` | `CryptUIDlgSelectCertificateFromStore(WinCrypt.HCERTSTORE hCertStore, WinDef.HWND hwnd, java.lang.String pwszTitle, java.lang.String pwszDisplayString, int dwDontUseColumn, int dwFlags, PointerType pvReserved)` The CryptUIDlgSelectCertificateFromStore function displays a dialog box that allows the selection of a certificate from a specified store.

- - ### Field Detail

    - #### INSTANCE

          static final Cryptui INSTANCE

  - ### Method Detail

    - #### CryptUIDlgSelectCertificateFromStore

          WinCrypt.CERT_CONTEXT.ByReference CryptUIDlgSelectCertificateFromStore(WinCrypt.HCERTSTORE hCertStore,
                                                                                 WinDef.HWND hwnd,
                                                                                 java.lang.String pwszTitle,
                                                                                 java.lang.String pwszDisplayString,
                                                                                 int dwDontUseColumn,
                                                                                 int dwFlags,
                                                                                 PointerType pvReserved)

      The CryptUIDlgSelectCertificateFromStore function displays a dialog box that allows the selection of a certificate from a specified store.
      Parameters:
        `hCertStore` - Handle of the certificate store to be searched.
        `hwnd` - Handle of the window for the display. If NULL, defaults to the desktop window.
        `pwszTitle` - String used as the title of the dialog box. If NULL, the default title, "Select Certificate," is used.
        `pwszDisplayString` - Text statement in the selection dialog box. If NULL, the default phrase, "Select a certificate you want to use," is used.
        `dwDontUseColumn` - Flags that can be combined to exclude columns of the display.
        `dwFlags` - Currently not used and should be set to 0.
        `pvReserved` - Reserved for future use.
      Returns:
        Returns a pointer to the selected certificate context. If no certificate was selected, NULL is returned. When you have finished using the certificate, free the certificate context by calling the CertFreeCertificateContext function.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.